﻿@model List<testWEb.Models.ShoppingCartItem>
@if (Model == null || Model.Count == 0)
{
    <tr class="text-info text-center">Giỏ hàng trống</tr>
}
else
{
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover dataTable no-footer" role="grid">
            <tr>
                <th>Hình</th>
                <th>Tên Sản Phẩm</th>
                <th>Số Lượng</th>
                <th>Đơn Giá</th>
                <th>Thành tiền</th>
                <th></th>
            </tr>
            @foreach (var item in Model)
            {
                <tr>
                    <td class="text-center">

                        <img src="@Url.Content(@item.Hinh)" id="Hinh" width="70" height="60" />
                    </td>
                    <td><a target="_blank" href="@Url.Action("ThemVaoGio", "giohang", new { id = item })"> @item.ProductID </a> </td>
                    <td>
                        <form action="@Url.Action("SuaSoLuong", "giohang")" method="get">
                            <input type="hidden" name="SanPhamID" value="@item.ProductID" />
                            <input type="number" min="1" step="1" name="soluongmoi" value="@item.Quanlity" />
                            <button type="submit" class="btn btn-primary btn-sm"> Cập nhật </button>
                        </form>
                    </td>
                    <td> @item.Price.ToString("#,##0").Replace(',', '.') VNĐ </td>
                    <td> @item.Total.ToString("#,##0").Replace(',', '.') VNĐ </td>

                    <td> <a href="@Url.Action("XoaKhoiGio", "giohang", new { ID = item.ProductID })" onclick="return confirm('Bạn có chắc muốn xóa sản phẩm này?');" class="btn btn-danger btn-sm">Xóa</a> </td>
                </tr>
            }
            <tr>
                <td></td>
               <td class="text-right">Tổng số lượng:</td>
                <td  style="color:red"> @Model.Sum(m => m.Quanlity) </td>
                <td class="text-right">Tổng thành tiền:</td>
                <td style="color:red"> @Model.Sum(m => m.Total).ToString("#,##0").Replace(',', '.') VNĐ  </td>
            </tr>

        </table>
       
    </div>

}
